## slack 0.14.1

=== Makefile ===
# Makefile for slack
# $Id: Makefile,v 1.3 2005/01/05 10:29:38 alan Exp $

include	Makefile.common

TARGETS = all test \
    install install-bin install-conf install-lib install-man \
    clean distclean realclean
SUBDIRS = doc src test

distdir = $(PACKAGE)-$(VERSION)


$(TARGETS)::
	@set -e; \
	 for i in $(SUBDIRS); do $(MAKE) -C $$i $@ ; done

deb:
	fakeroot ./debian/rules binary
	./debian/rules clean
	ls -l ../slack_*_all.deb

clean distclean realclean::
	./debian/rules clean

dist: distclean
	mkdir ../$(distdir)
	rsync -a --exclude=CVS --delete-excluded . ../$(distdir)/
	chmod -R a+rX ../$(distdir)
	cd .. ; \
	    tar cvfp $(distdir).tar $(distdir)
	rm -rf ../$(distdir)
	gzip -9f ../$(distdir).tar
	chmod a+r ../$(distdir).tar.gz
	@ls -l ../$(distdir).tar.gz

check: test

=== doc/Makefile ===
# Makefile for slack/doc
# $Id: Makefile,v 1.4 2006/03/21 07:18:13 alan Exp $
include ../Makefile.common

all:

install: install-man

install-man: all
	$(MKDIR) $(DESTDIR)$(mandir)/man1
	$(INSTALL) slack-diff.1 $(DESTDIR)$(mandir)/man1
	$(MKDIR) $(DESTDIR)$(mandir)/man5
	$(INSTALL) slack.conf.5 $(DESTDIR)$(mandir)/man5
	$(MKDIR) $(DESTDIR)$(mandir)/man8
	$(INSTALL) slack.8 $(DESTDIR)$(mandir)/man8

install-bin install-conf install-lib: all

clean:

realclean: clean

distclean: clean

test:

=== src/Makefile ===
# Makefile for slack/src
# $Id: Makefile,v 1.10 2006/09/25 18:13:24 alan Exp $
include ../Makefile.common

BACKENDS = slack-getroles slack-installfiles slack-runscript slack-sync slack-stage slack-rolediff

all:

install: install-bin install-conf install-lib install-man

install-bin: all
	$(MKDIR) $(DESTDIR)$(sbindir)
	$(INSTALL) slack $(DESTDIR)$(sbindir)
	$(INSTALL) slack-diff $(DESTDIR)$(bindir)
	$(MKDIR) $(DESTDIR)$(slack_libexecdir)
	@set -ex;\
	for i in $(BACKENDS); do \
	$(INSTALL) $$i $(DESTDIR)$(slack_libexecdir); done
	$(INSTALL) -p -d -m $(PRIVDIRMODE) $(DESTDIR)$(slack_localstatedir)
	$(INSTALL) -p -d -m $(PRIVDIRMODE) $(DESTDIR)$(slack_localcachedir)

install-conf: all
	$(MKDIR) $(DESTDIR)$(sysconfdir)
	$(INSTALL) slack.conf $(DESTDIR)$(sysconfdir)

install-lib: all
	$(MKDIR) $(DESTDIR)$(slack_libdir)
	$(INSTALL) -m 0644 Slack.pm $(DESTDIR)$(slack_libdir)

install-man: all

clean:

realclean: clean

distclean: clean

test:

=== test/Makefile ===
include ../Makefile.common

TEST_TMPDIR=tmp

TARGETS=slack.conf roles.conf

all: $(TARGETS)

install install-bin install-conf install-lib install-man: all

%.conf: %.conf.template gen_config_file
	./gen_config_file $< $@

clean:
	rm -f $(TARGETS)
	rm -rf $(TEST_TMPDIR)

realclean: clean

distclean: clean

test: clean all
	perl -MTest::Harness -e 'runtests(<*.t>)'

check: test

## slack 0.15.2

=== Makefile ===
# Makefile for slack
# $Id: Makefile 188 2008-04-21 00:42:43Z sundell $

include	Makefile.common

TARGETS = all test \
    install install-bin install-conf install-lib install-man \
    clean distclean realclean
SUBDIRS = doc src test

distdir = $(PACKAGE)-$(VERSION)


$(TARGETS)::
	@set -e; \
	 for i in $(SUBDIRS); do $(MAKE) -C $$i $@ ; done

deb:
	dpkg-buildpackage -b -uc -tc -rfakeroot
	ls -l ../slack_*_all.deb

dist: distclean
	mkdir -p ../$(distdir)
	rsync -a --exclude=.svn --exclude='*.swp' --delete-excluded \
	    . ../$(distdir)/
	chmod -R a+rX ../$(distdir)
	cd .. ; \
	    tar -cp --exclude=debian -f $(distdir).tar $(distdir) ; \
	    tar -cp -f $(distdir)-debian.tar $(distdir)/debian
	rm -rf ../$(distdir)
	gzip -9f ../$(distdir).tar ../$(distdir)-debian.tar
	chmod a+r ../$(distdir).tar.gz ../$(distdir)-debian.tar.gz
	@ls -l ../$(distdir).tar.gz ../$(distdir)-debian.tar.gz

check: test

=== doc/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Makefile for slack/doc
-# $Id: Makefile,v 1.4 2006/03/21 07:18:13 alan Exp $
+# $Id: Makefile 96 2006-03-21 07:18:13Z alan $
 include ../Makefile.common
 
 all:

=== src/Makefile ===
# Makefile for slack/src
# $Id: Makefile 187 2008-03-03 02:00:18Z alan $
include ../Makefile.common

BACKENDS = slack-getroles slack-installfiles slack-runscript slack-sync slack-stage slack-rolediff

all:

install: install-bin install-conf install-lib install-man

install-bin: all
	$(MKDIR) $(DESTDIR)$(sbindir)
	$(INSTALL) slack $(DESTDIR)$(sbindir)
	$(MKDIR) $(DESTDIR)$(bindir)
	$(INSTALL) slack-diff $(DESTDIR)$(bindir)
	$(MKDIR) $(DESTDIR)$(slack_libexecdir)
	@set -ex;\
	for i in $(BACKENDS); do \
	$(INSTALL) $$i $(DESTDIR)$(slack_libexecdir); done
	$(INSTALL) -d -m $(PRIVDIRMODE) $(DESTDIR)$(slack_localstatedir)
	$(INSTALL) -d -m $(PRIVDIRMODE) $(DESTDIR)$(slack_localcachedir)

install-conf: all
	$(MKDIR) $(DESTDIR)$(sysconfdir)
	$(INSTALL) -m 0644 slack.conf $(DESTDIR)$(sysconfdir)

install-lib: all
	$(MKDIR) $(DESTDIR)$(slack_libdir)
	$(INSTALL) -m 0644 Slack.pm $(DESTDIR)$(slack_libdir)

install-man: all

clean:

realclean: clean

distclean: clean

test:

=== test/Makefile ===
--- 
+++ 
@@ -1,14 +1,19 @@
 include ../Makefile.common
 
-TEST_TMPDIR=tmp
+TEST_TMPDIR=$(shell pwd)/tmp
+export TEST_TMPDIR
 
-TARGETS=slack.conf roles.conf
+CONFFILES=slack.conf roles.conf
+TARGETS=$(addprefix $(TEST_TMPDIR)/, $(CONFFILES))
 
 all: $(TARGETS)
 
 install install-bin install-conf install-lib install-man: all
 
-%.conf: %.conf.template gen_config_file
+$(TEST_TMPDIR):
+	mkdir -p $(TEST_TMPDIR)
+
+$(TEST_TMPDIR)/%.conf: %.conf.template gen_config_file $(TEST_TMPDIR)
 	./gen_config_file $< $@
 
 clean:

=== debian/changelog ===
slack (0.15.2-5) unstable; urgency=low

  * Converted to 3.0 (quilt) source format
  * debian/control: bumped Standards-Version (no changes)
  * debian/rules: added build-{indep,arch} targets

 -- Andrew Pollock <apollock@debian.org>  Mon, 13 Feb 2012 09:49:59 -0800

slack (0.15.2-4) unstable; urgency=low

  * debian/docs: add some additional upstream documentation
  * debian/control: bumped Standards-Version
  * debian/control: added ${misc:Depends} to dependencies
  * debian/control: made debhelper versioned build-dep >= 6.0.7~
  * debian/rules: invoke dh_lintian
  * debian/slack.lintian-overrides: override non-standard-dir-perm for
    /var/lib/slack

 -- Andrew Pollock <apollock@debian.org>  Wed, 27 Oct 2010 16:37:19 -0700

slack (0.15.2-3) unstable; urgency=high

  * debian/prerm: handle an empty /etc/slack.conf in a less destructive manner
  * debian/control: bumped Standards-Version (no changes)

 -- Andrew Pollock <apollock@debian.org>  Fri, 01 Aug 2008 13:26:51 -0700

slack (0.15.2-2) unstable; urgency=low

  * debian/watch: updated for new upstream location

 -- Andrew Pollock <apollock@debian.org>  Tue, 22 Apr 2008 21:52:13 -0700

slack (0.15.2-1) unstable; urgency=low

  * The "Yay, upstream has stopped shipping a debian directory!" release
  * New upstream release
  * debian/rules: maintain mode 0700 on /var/{cache,lib}/slack

 -- Andrew Pollock <apollock@debian.org>  Tue, 22 Apr 2008 14:25:14 -0700

slack (0.14.1-3) unstable; urgency=low

  * The "I'm sick of waiting for Sundell to make an upstream release without a
    debian directory" release
  * debian/watch: corrected URL
  * debian/control: bumped Standards-Version (no changes)
  * debian/rules: moved all the action to the binary-indep target

 -- Andrew Pollock <apollock@debian.org>  Sat, 22 Mar 2008 22:15:53 -0700

slack (0.14.1-2) unstable; urgency=low

  * debian/control: Suggests: openssh-server, openssh-client instead of ssh
    (closes: #432749)

 -- Andrew Pollock <apollock@debian.org>  Sat, 27 Oct 2007 16:14:42 -0700

slack (0.14.1-1) unstable; urgency=low

  * Initial release. (Closes: #429634)

 -- Andrew Pollock <apollock@debian.org>  Mon, 18 Jun 2007 18:29:24 +0100

=== debian/control ===
Source: slack
Section: admin
Priority: optional
Maintainer: Andrew Pollock <apollock@debian.org>
Build-Depends: debhelper (>= 6.0.7~)
Standards-Version: 3.9.2

Package: slack
Architecture: all
Depends: perl (>= 5.6.1-7), perl-modules (>= 5.6.1-7), rsync (>= 2.6.0), ${misc:Depends}
Suggests: openssh-server, openssh-client
Description: configuration management program for lazy admins
 slack tries to allow centralized configuration management with a bare
 minimum of effort.  Usually, just putting a file in the right place
 will cause the right thing to be done.  It uses rsync to copy files
 around, so can use any sort of source (NFS directory, remote server
 over SSH, remote server over rsync) that rsync supports.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1



CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-arch build-indep

build-arch: build-stamp
build-indep: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k  --exclude ./debian/rules.orig
	dh_installdirs

	# Add here commands to install the package into debian/slack.
	$(MAKE) DESTDIR=$(CURDIR)/debian/slack install


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms --exclude var/lib/slack --exclude var/cache/slack
#	dh_perl
#	dh_makeshlibs
	dh_lintian
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

http://code.google.com/p/slack/downloads/list http://slack.googlecode.com/files/slack-(.*)\.tar\.gz

## slack cleaner2-2.1.0

=== requirements.txt ===
slacker>=0.13.0
colorama>=0.4.1
python-dateutil>=2.8.0

## slack cleaner2-3.1.1

=== requirements.txt ===
slack_sdk>=3.0.0
colorama>=0.4.1
python-dateutil>=2.8.0
requests>=2.25.0
